<template>
  <figure v-lazyload>
    <image-placeholder data-placeholder v-if="lazyLoad">
      load image
    </image-placeholder>
    <img :class="imgClass" :data-url="soruce" :alt="alt" />
    <figcaption v-if="caption"></figcaption>
  </figure>
</template>
<script lang="ts">
// components
import ImagePlaceholder from "./ImagePlaceholder.vue";
// directives
import lazyload from "@/directives/LazyLoad";
export default {
  name: "ImageItem",
  directives: {
    lazyload
  },
  components: {
    ImagePlaceholder
  },
  props: {
    soruce: {
      type: String,
      required: true
    },
    lazyLoad: {
      type: Boolean,
      required: false,
      default: true
    },
    caption: {
      type: String,
      required: false
    },
    alt: {
      type: String,
      required: true
    },
    imgClass: {
      type: String,
      required: false
    }
  }
};
</script>
